+1-888-365-2779
Try Now
More in this section

Forums / Set-up & Installation / Error applying Standard 3.6 patch

Error applying Standard 3.6 patch

3 posts, 0 answered
  1. Chanan Zass
    Chanan Zass avatar
    123 posts
    Registered:
    21 Aug 2012
    14 Feb 2009
    Link to this post
    Greetings,

    I've tried extracting the new files into our local project, changed the new_web.config to reflect our connection string and new tools in our Toolbox, as well as localization cultures, then renamed the new web.config.
    Entering the web site, a new screen came up inquiring about database access, etc.
    When trying to log-in to administer the site, I get this error:

    Unable to load one or more of the requested types. Retrieve the LoaderExceptions property for more information.

    Description: An unhandled exception occurred during the execution of the current web request. Please review the stack trace for more information about the error and where it originated in the code.

    Exception Details: System.Reflection.ReflectionTypeLoadException: Unable to load one or more of the requested types. Retrieve the LoaderExceptions property for more information.

    Source Error:

    Line 267:            foreach (IWebModule module in ModuleManager.GetWebModulesValues())
    Line 268:            {
    Line 269: if (module is SecuredModule && ((SecuredModule)module).CanCreate())Line 270:                    webModules.Add(module);
    Line 271:            }

    Source File: c:\Program Files\telerik\Sitefinity3.5\WebSites\mobilitymanager\Sitefinity\Admin\Default.aspx.cs    Line: 269

    =================================

    Any clue?

  2. Chanan Zass
    Chanan Zass avatar
    123 posts
    Registered:
    21 Aug 2012
    15 Feb 2009
    Link to this post
    Problem resolved.
    Was caused by the old file:
    \Sitefinity\ServiceAssemblies\3889AC4AF542BAC3C62ABB154E78FEA8.dll

    Have removed it and re-applied the patch.
    Smooth sailing from there.


  3. Georgi
    Georgi avatar
    3583 posts
    Registered:
    28 Oct 2016
    16 Feb 2009
    Link to this post
    Hi Chanan Zass,

    Indeed. This is a required procedure after the upgrade.
    We are glad you have it working.

    All the best,
    Georgi
    the Telerik team

    Instantly find answers to your questions on the new Telerik Support Portal.
    Check out the tips for optimizing your support resource searches.
Register for webinar
3 posts, 0 answered